## ros-indigo-rqt-plot 0.4.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rqt_plot)
# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED)
catkin_package()
catkin_python_setup()

install(FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resource
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(PROGRAMS scripts/rqt_plot
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-indigo-rqt-plot (0.4.8-0trusty) trusty; urgency=high

  * add scroll area when showing images with 1-to-1 mapping (#433 <https://github.com/ros-visualization/rqt_common_plugins/issues/433>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Apr 2017 07:00:00 -0000

ros-indigo-rqt-plot (0.4.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 02 Mar 2017 08:00:00 -0000

ros-indigo-rqt-plot (0.4.6-0trusty) trusty; urgency=high

  * add support for plotting bool field values (#427 <https://github.com/ros-visualization/rqt_common_plugins/issues/427>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Feb 2017 08:00:00 -0000

ros-indigo-rqt-plot (0.4.5-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Feb 2017 08:00:00 -0000

ros-indigo-rqt-plot (0.4.4-0trusty) trusty; urgency=high

  * automatically use the value field from std_msgs.Bool messages (#420 <https://github.com/ros-visualization/rqt_common_plugins/pull/420>)
  * use Python 3 compatible syntax (#421 <https://github.com/ros-visualization/rqt_common_plugins/pull/421>)
  * reenable PyQtGraph when version >= 0.10 (#407 <https://github.com/ros-visualization/rqt_common_plugins/issues/407>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jan 2017 08:00:00 -0000

ros-indigo-rqt-plot (0.4.3-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 02 Nov 2016 07:00:00 -0000

ros-indigo-rqt-plot (0.4.2-0trusty) trusty; urgency=high

  * add keyword arg to make sort optional (#360 <https://github.com/ros-visualization/rqt_common_plugins/pull/360>)
  * disable PyQtGraph backend when Qt 5 is being used (#399 <https://github.com/ros-visualization/rqt_common_plugins/pull/399>)
  * add missing dependency on numpy (#396 <https://github.com/ros-visualization/rqt_common_plugins/issues/396>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-indigo-rqt-plot (0.4.1-0trusty) trusty; urgency=high

  * fix mouse wheel delta in Qt 5 (#376 <https://github.com/ros-visualization/rqt_common_plugins/issues/376>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 May 2016 07:00:00 -0000

ros-indigo-rqt-plot (0.4.0-0trusty) trusty; urgency=high

  * Support Qt 5 (in Kinetic and higher) as well as Qt 4 (in Jade and earlier) (#359 <https://github.com/ros-visualization/rqt_common_plugins/pull/359>)
  * support matplotplot 1.5 (#358 <https://github.com/ros-visualization/rqt_common_plugins/pull/358>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-indigo-rqt-plot (0.3.13-0trusty) trusty; urgency=high

  * Added missing include
  * use proper icon names for add/remove
  * Contributors: Jochen Sprickerhof, Vincent Rabaud

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 08 Mar 2016 08:00:00 -0000

ros-indigo-rqt-plot (0.3.12-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Jul 2015 07:00:00 -0000

ros-indigo-rqt-plot (0.3.11-0trusty) trusty; urgency=high

  * save and restore axes settings (#234 <https://github.com/ros-visualization/rqt_common_plugins/issues/234>)
  * remove warning when backend is not found (#301 <https://github.com/ros-visualization/rqt_common_plugins/issues/301>)
  * fix version clash for matplot backend when PyQt5 is installed (#299 <https://github.com/ros-visualization/rqt_common_plugins/pull/200>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-indigo-rqt-plot (0.3.10-0trusty) trusty; urgency=high

  * update plugin scripts to use full name to avoid future naming collisions

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 01 Oct 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.9-0trusty) trusty; urgency=high

  * fix handling of variable-sized arrays (#261 <https://github.com/ros-visualization/rqt_common_plugins/issues/261>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.8-0trusty) trusty; urgency=high

  * fix missing installation of Python subpackage

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 15 Jul 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.7-0trusty) trusty; urgency=high

  * fix missing import (#248 <https://github.com/ros-visualization/rqt_common_plugins/issues/248>)
  * significant improvements and unification of different plot backends (#239 <https://github.com/ros-visualization/rqt_common_plugins/issues/239>, #231 <https://github.com/ros-visualization/rqt_common_plugins/issues/231>)
  * make more things plottable including arrays and simple message types (#246 <https://github.com/ros-visualization/rqt_common_plugins/issues/246>)
  * make DataPlot a proxy for its plot widget, redraw after loading new data, add clear_values (#236 <https://github.com/ros-visualization/rqt_common_plugins/issues/236>)
  * export architecture_independent flag in package.xml (#254 <https://github.com/ros-visualization/rqt_common_plugins/issues/254>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Jul 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.6-0trusty) trusty; urgency=high

  * subscribe to any known topic, even if currently not available (#233 <https://github.com/ros-visualization/rqt_common_plugins/pull/233>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 02 Jun 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.5-0trusty) trusty; urgency=high

  * change minimum padding to enable viewing arbitrarily small values (#223 <https://github.com/ros-visualization/rqt_common_plugins/pull/223>)
  * redraw plot only on new data to reduce cpu load, especially with matplot (#219 <https://github.com/ros-visualization/rqt_common_plugins/issues/219>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rqt-plot (0.3.4-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Jan 2014 08:00:00 -0000

ros-indigo-rqt-plot (0.3.3-0trusty) trusty; urgency=high



=== debian/control ===
Source: ros-indigo-rqt-plot
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://wiki.ros.org/rqt_plot
Standards-Version: 3.9.2

Package: ros-indigo-rqt-plot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-matplotlib, python-numpy, python-rospkg, ros-indigo-python-qt-binding (>= 0.2.19), ros-indigo-qt-gui-py-common (>= 0.2.25), ros-indigo-qwt-dependency, ros-indigo-rosgraph, ros-indigo-rostopic, ros-indigo-rqt-gui, ros-indigo-rqt-gui-py, ros-indigo-rqt-py-common, ros-indigo-std-msgs
Description: rqt_plot provides a GUI plugin visualizing numeric values in a 2D plot using different plotting backends.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rqt-plot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
